<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'oumrah';

		/* data for selected record, or defaults if none is selected */
		var data = {
			Pelerinage: <?php echo json_encode(array('id' => $rdata['Pelerinage'], 'value' => $rdata['Pelerinage'], 'text' => $jdata['Pelerinage'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for Pelerinage */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'Pelerinage' && d.id == data.Pelerinage.id)
				return { results: [ data.Pelerinage ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

